#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 digest
version:              0.0.1.4
visibility:           public
id:                   digest-0.0.1.4-3tHQkoTY6PB6b9LM9JKIU
key:                  digest-0.0.1.4-3tHQkoTY6PB6b9LM9JKIU
license:              BSD-3-Clause
copyright:            (c) 2009 Eugene Kirpichov
maintainer:           Eugene Kirpichov <ekirpichov@gmail.com>
author:               Eugene Kirpichov <ekirpichov@gmail.com>
stability:            provisional
synopsis:             Various hashes for bytestrings; CRC32 and Adler32 for now.
description:
    This package provides efficient hash implementations for
    strict and lazy bytestrings. For now, CRC32 and Adler32 are supported;
    they are implemented as FFI bindings to efficient code from zlib.

category:             Cryptography
abi:                  9094aba7a43746bc204c4459ed436726
exposed:              True
exposed-modules:      Data.Digest.Adler32 Data.Digest.CRC32
import-dirs:          /usr/lib/ghc-9.0.2/site-local/digest-0.0.1.4
library-dirs:         /usr/lib/ghc-9.0.2/site-local/digest-0.0.1.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-digest
hs-libraries:         HSdigest-0.0.1.4-3tHQkoTY6PB6b9LM9JKIU
extra-libraries:      z
includes:             zlib.h
depends:              base-4.15.1.0 bytestring-0.10.12.1
haddock-interfaces:   /usr/share/doc/haskell-digest/html/digest.haddock
haddock-html:         /usr/share/doc/haskell-digest/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

